#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'fileutils'
require 'image_paradise'
require 'colours/autoinclude'

e 'Now testing the project called '+sfancy('image_paradise')+', '\
  'the crop() functionality.'

image_file = '/Depot/j/test.png'
FileUtils.cp('/home/x/DATA/IMG/NJOY/Cute_Biker.png', image_file)
e 'First testing ImageParadise::Crop[]'
ImageParadise::Crop[image_file]
e 'Next testing ImageParadise::Crop.new'
ImageParadise::Crop.new(image_file)
e 'Finally testing ImageParadise::Crop.crop'
ImageParadise::Crop.crop(image_file)