#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'colours/autoinclude'
require 'fileutils'
require 'image_paradise'
require 'opn'
input_file = '/home/x/DATA/IMG/NJOY/RandomBeachGal.jpg'
opn; e 'The main image file will be '+sfile(input_file)+' for now.'
name_of_the_file = File.basename(input_file)
_ = '/Depot/j/'+name_of_the_file
opn; e 'We will first copy '+sfile(input_file)+' to '+sfile(_)
FileUtils.cp(input_file, _)
# =========================================================================== #
# Ok, we copied stuff - now it is time to test ImageParadise directly.
# =========================================================================== #
cliner {
  e
  opn; e 'Now testing '+sfancy('crop()')+' functionality for the input `'+sfancy(_)+'`:'
  ImageParadise.crop(_, '350x250+5', store_in_this_directory: '/Depot/Images/')
  e
  opn; e 'Now testing '+sfancy('crop()')+' functionality with 50% cropping:'
  ImageParadise.crop(_, '55%', store_in_this_directory: '/Depot/Images/')
  e
}; e
# =========================================================================== #
# Next we test font_tiled.
# =========================================================================== #
cliner {
  ImageParadise.font_tiled 
  ImageParadise.font_tiled 'How do you do?'
}; e # test_image
# =========================================================================== #
# Next we use identify.
# =========================================================================== #
cliner {
  e 'Next we will identify the image at '+sfile(_)
  ImageParadise::Identify.new(_).report_internal_attributes
}; e
# =========================================================================== #
# Next we can create animated gifs, but we will do so when we have
# gif files to work with.
# =========================================================================== #
# ImageParadise.create_animated_gif
cliner {
  e 'Next we will test the graphs.'
  e 'Not yet done ...'
}